setVariablesIfNeeded('REPOSITORY/NGitHackathon/SwagLabsCheckout_Data.csv','SyntheticDPL',0,'en_US');
navigateTo("https://www.saucedemo.com/");
setValue(textbox(any("user-name","form_input input_error")),"standard_user");
setValue(password(any("password","form_input input_error")),"secret_sauce");
click(submit(any("login-button")));
click(submit(any("add-to-cart-sauce-labs-backpack","btn btn_inventory btn_primary btn_small","Add to cart")));
click(submit(any("add-to-cart-sauce-labs-bike-light","btn btn_inventory btn_primary btn_small","Add to cart")));
click(span(any("shopping_cart_badge","2")));
click(submit(any("checkout","btn btn_action btn_medium checkout_button","Checkout")));
setValue(textbox(any("first-name","form_input input_error","firstName")),$FirstName);
setValue(textbox(any("last-name","lastName")),$LastName);
setValue(textbox(any("postal-code","postalCode")),$ZipCode);
click(submit(any("continue","btn btn_action btn_primary cart_button submit-button","Continue")));
click(submit(any("finish","btn btn_action btn_medium cart_button","Finish")));
